| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_Audio_StdDescriptor_FeatureUnit_t Struct Reference
Common Class Definitions

Audio class-specific Feature Unit Descriptor (USB-IF naming conventions). More...

`#include <AudioClassCommon.h>`

## Data Fields
uint8_t | bControlSize
uint8_t | bDescriptorSubtype
uint8_t | bDescriptorType
uint8_t | bLength
uint8_t | bmaControls [3]
uint8_t | bSourceID
uint8_t | bUnitID
uint8_t | iFeature

## Detailed Description

Type define for an Audio class-specific Feature Unit descriptor. This indicates to the host what features are present in the device's audio stream for basic control, such as per-channel volume. See the USB Audio specification for more details.

See also
  USB_Audio_Descriptor_FeatureUnit_t for the version of this type with non-standard LUFA specific element names.

Note
  Regardless of CPU architecture, these values should be stored as little endian.

## Field Documentation

uint8_t USB_Audio_StdDescriptor_FeatureUnit_t::bControlSize

Size of each element in the `ChannelControls` array.

uint8_t USB_Audio_StdDescriptor_FeatureUnit_t::bDescriptorSubtype

Sub type value used to distinguish between audio class-specific descriptors, must be AUDIO_DSUBTYPE_CSInterface_Feature.

uint8_t USB_Audio_StdDescriptor_FeatureUnit_t::bDescriptorType

Type of the descriptor, either a value in USB_DescriptorTypes_t or a value given by the specific class.

uint8_t USB_Audio_StdDescriptor_FeatureUnit_t::bLength

Size of the descriptor, in bytes.

uint8_t USB_Audio_StdDescriptor_FeatureUnit_t::bmaControls[3]

Feature masks for the control channel, and each separate audio channel.

uint8_t USB_Audio_StdDescriptor_FeatureUnit_t::bSourceID

Source ID value of the audio source input into this feature unit.

uint8_t USB_Audio_StdDescriptor_FeatureUnit_t::bUnitID

ID value of this feature unit - must be a unique value within the device.

uint8_t USB_Audio_StdDescriptor_FeatureUnit_t::iFeature

Index of a string descriptor describing this descriptor within the device.

The documentation for this struct was generated from the following file:

- Drivers/USB/Class/Common/AudioClassCommon.h